-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.0.51a-3ubuntu5.4


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema studio
--

CREATE DATABASE IF NOT EXISTS studio;
USE studio;

--
-- Definition of table `studio`.`dao_amb0f`
--

DROP TABLE IF EXISTS `studio`.`dao_amb0f`;
CREATE TABLE  `studio`.`dao_amb0f` (
  `AMB_CDE` char(10) NOT NULL,
  `AMB_DES` char(50) NOT NULL,
  `AMB_PACK` char(50) NOT NULL,
  `AMB_POOL` char(25) NOT NULL,
  `TPL_CDE` char(10) default NULL,
  `ENV_TYP` int(11) default NULL,
  `TPL_GRU` varchar(10) default NULL,
  PRIMARY KEY  (`AMB_CDE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_amb0f`
--

/*!40000 ALTER TABLE `dao_amb0f` DISABLE KEYS */;
LOCK TABLES `dao_amb0f` WRITE;
INSERT INTO `studio`.`dao_amb0f` VALUES  ('CLASSICLOG','Classic Models Environments with log fields','it.eng.common.dao','classicmodelspool','AmbCanc',0,'DeleteSoft'),
 ('DAOCLASSIC','Environment Classic Models','it.eng.common.dao','classicmodelspool','AmbDAO',0,'Default');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_amb0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_dct0f`
--

DROP TABLE IF EXISTS `studio`.`dao_dct0f`;
CREATE TABLE  `studio`.`dao_dct0f` (
  `DCT_AMB` char(10) NOT NULL,
  `DCT_FLD` char(80) NOT NULL,
  `DCT_WEB` char(80) NOT NULL,
  `DCT_TYP` int(11) default NULL,
  `DCT_L01` char(80) default NULL,
  `DCT_L02` char(80) default NULL,
  `DCT_L03` char(80) default NULL,
  `DCT_LEN` int(11) default NULL,
  `DCT_TYD` char(1) default NULL,
  `DCT_DLN` int(11) default NULL,
  PRIMARY KEY  (`DCT_AMB`,`DCT_FLD`),
  KEY `FK_dao_dct0f_typ` (`DCT_TYP`),
  CONSTRAINT `FK_dao_dct0f_amb` FOREIGN KEY (`DCT_AMB`) REFERENCES `dao_amb0f` (`AMB_CDE`) ON DELETE CASCADE,
  CONSTRAINT `FK_dao_dct0f_typ` FOREIGN KEY (`DCT_TYP`) REFERENCES `dao_typ0f` (`TYP_COD`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_dct0f`
--

/*!40000 ALTER TABLE `dao_dct0f` DISABLE KEYS */;
LOCK TABLES `dao_dct0f` WRITE;
INSERT INTO `studio`.`dao_dct0f` VALUES  ('CLASSICLOG','addressLine1','addressLine1',130,'Address line 1','','',50,NULL,NULL),
 ('CLASSICLOG','addressLine2','addressLine2',130,'Address line 2','','',50,NULL,NULL),
 ('CLASSICLOG','amount','amount',40,'Amount','','',20,NULL,NULL),
 ('CLASSICLOG','checkNumber','checkNumber',50,'Check number','','',25,NULL,NULL),
 ('CLASSICLOG','city','city',50,'City','','',50,NULL,NULL),
 ('CLASSICLOG','comments','comments',60,'Comments','','',500,NULL,NULL),
 ('CLASSICLOG','contactFirstName','contactFirstName',110,'Contact First Name','','',50,NULL,NULL),
 ('CLASSICLOG','contactLastName','contactLastName',120,'Contact Last Name','','',50,NULL,NULL),
 ('CLASSICLOG','country','country',50,'Country','','',50,NULL,NULL),
 ('CLASSICLOG','creditLimit','creditLimit',40,'Credit limit','','',20,NULL,NULL),
 ('CLASSICLOG','customerName','customerName',120,'Customer Name','','',50,NULL,NULL),
 ('CLASSICLOG','customerNumber','customerNumber',90,'Customer Number','','',20,NULL,NULL),
 ('CLASSICLOG','email','email',160,'E-Mail','','',50,NULL,NULL);
INSERT INTO `studio`.`dao_dct0f` VALUES  ('CLASSICLOG','employeeNumber','employeeNumber',90,'Employee number','','',20,NULL,NULL),
 ('CLASSICLOG','extension','extension',50,'Extension','','',15,NULL,NULL),
 ('CLASSICLOG','firstName','firstName',110,'First name','','',50,NULL,NULL),
 ('CLASSICLOG','htmlDescription','htmlDescription',150,'HTML Description','','',5000,NULL,NULL),
 ('CLASSICLOG','image','image',70,'Image','','',5000,NULL,NULL),
 ('CLASSICLOG','jobTitle','jobTitle',50,'Job title','','',50,NULL,NULL),
 ('CLASSICLOG','lastName','lastName',50,'Last name','','',50,NULL,NULL),
 ('CLASSICLOG','officeCode','officeCode',50,'Office code','','',20,NULL,NULL),
 ('CLASSICLOG','orderDate','orderDate',20,'Order date','','',12,NULL,NULL),
 ('CLASSICLOG','orderLineNumber','orderLineNumber',10,'Order line number','','',10,NULL,NULL),
 ('CLASSICLOG','orderNumber','orderNumber',10,'Order number','','',10,NULL,NULL),
 ('CLASSICLOG','paymentDate','paymentDate',20,'Payment date','','',12,NULL,NULL),
 ('CLASSICLOG','phone','phone',140,'Phone #','','',50,NULL,NULL);
INSERT INTO `studio`.`dao_dct0f` VALUES  ('CLASSICLOG','postalCode','postalCode',50,'Postal code','','',15,NULL,NULL),
 ('CLASSICLOG','priceEach','priceEach',40,'Price each','','',20,NULL,NULL),
 ('CLASSICLOG','productCode','productCode',50,'Product code','','',20,NULL,NULL),
 ('CLASSICLOG','productLine','productLine',50,'Product line','','',20,NULL,NULL),
 ('CLASSICLOG','quantityOrdered','quantityOrdered',10,'Quantity ordered','','',10,NULL,NULL),
 ('CLASSICLOG','reportsTo','reportsTo',10,'Reports to','','',10,NULL,NULL),
 ('CLASSICLOG','requiredDate','requiredDate',20,'Required date','','',12,NULL,NULL),
 ('CLASSICLOG','salesRepEmployeeNumber','salesRepEmployeeNumber',90,'Sales report employee number','','',10,NULL,NULL),
 ('CLASSICLOG','shippedDate','shippedDate',20,'Shipped date','','',12,NULL,NULL),
 ('CLASSICLOG','state','state',50,'State','','',50,NULL,NULL),
 ('CLASSICLOG','status','status',170,'Status','','',50,NULL,NULL),
 ('CLASSICLOG','territory','territory',180,'Territory','','',50,NULL,NULL),
 ('CLASSICLOG','textDescription','textDescription',60,'Text description','','',5000,NULL,NULL);
INSERT INTO `studio`.`dao_dct0f` VALUES  ('DAOCLASSIC','addressLine1','addressLine1',130,'Address line 1','','',50,NULL,NULL),
 ('DAOCLASSIC','addressLine2','addressLine2',130,'Address line 2','','',50,NULL,NULL),
 ('DAOCLASSIC','amount','amount',40,'Amount','','',20,NULL,NULL),
 ('DAOCLASSIC','buyPrice','buyPrice',40,'Buy Price','','',10,NULL,NULL),
 ('DAOCLASSIC','checkNumber','checkNumber',50,'Check number','','',25,NULL,NULL),
 ('DAOCLASSIC','city','city',50,'City','','',50,NULL,NULL),
 ('DAOCLASSIC','comments','comments',60,'Comments','','',500,NULL,NULL),
 ('DAOCLASSIC','contactFirstName','contactFirstName',110,'Contact First Name','','',50,NULL,NULL),
 ('DAOCLASSIC','contactLastName','contactLastName',120,'Contact Last Name','','',50,NULL,NULL),
 ('DAOCLASSIC','country','country',50,'Country','','',50,NULL,NULL),
 ('DAOCLASSIC','creditLimit','creditLimit',40,'Credit limit','','',20,NULL,NULL),
 ('DAOCLASSIC','customerName','customerName',120,'Customer Name','','',50,NULL,NULL),
 ('DAOCLASSIC','customerNumber','customerNumber',90,'Customer Number','','',20,NULL,NULL);
INSERT INTO `studio`.`dao_dct0f` VALUES  ('DAOCLASSIC','email','email',160,'E-Mail','','',50,NULL,NULL),
 ('DAOCLASSIC','employeeNumber','employeeNumber',90,'Employee number','','',20,NULL,NULL),
 ('DAOCLASSIC','extension','extension',50,'Extension','','',15,NULL,NULL),
 ('DAOCLASSIC','firstName','firstName',110,'First name','','',50,NULL,NULL),
 ('DAOCLASSIC','htmlDescription','htmlDescription',150,'HTML Description','','',5000,NULL,NULL),
 ('DAOCLASSIC','image','image',70,'Image','','',5000,NULL,NULL),
 ('DAOCLASSIC','jobTitle','jobTitle',50,'Job title','','',50,NULL,NULL),
 ('DAOCLASSIC','lastName','lastName',50,'Last name','','',50,NULL,NULL),
 ('DAOCLASSIC','MSRP','MSRP',50,'MSRP','','',10,NULL,NULL),
 ('DAOCLASSIC','officeCode','officeCode',50,'Office code','','',20,NULL,NULL),
 ('DAOCLASSIC','orderDate','orderDate',20,'Order date','','',12,NULL,NULL),
 ('DAOCLASSIC','orderLineNumber','orderLineNumber',10,'Order line number','','',10,NULL,NULL),
 ('DAOCLASSIC','orderNumber','orderNumber',10,'Order number','','',10,NULL,NULL),
 ('DAOCLASSIC','paymentDate','paymentDate',20,'Payment date','','',12,NULL,NULL);
INSERT INTO `studio`.`dao_dct0f` VALUES  ('DAOCLASSIC','phone','phone',140,'Phone #','','',50,NULL,NULL),
 ('DAOCLASSIC','postalCode','postalCode',50,'Postal code','','',15,NULL,NULL),
 ('DAOCLASSIC','priceEach','priceEach',40,'Price each','','',20,NULL,NULL),
 ('DAOCLASSIC','productCode','productCode',50,'Product code','','',20,NULL,NULL),
 ('DAOCLASSIC','productDescription','productDescription',60,'Product Description','','',65000,NULL,NULL),
 ('DAOCLASSIC','productLine','productLine',50,'Product line','','',20,NULL,NULL),
 ('DAOCLASSIC','productName','productName',50,'Product Name','','',70,NULL,NULL),
 ('DAOCLASSIC','productScale','productScale',50,'Product Scale','','',10,NULL,NULL),
 ('DAOCLASSIC','productVendor','productVendor',50,'Product Vendor','','',50,NULL,NULL),
 ('DAOCLASSIC','quantityInStock','quantityInStock',10,'Quantity In Stock','','',5,NULL,NULL),
 ('DAOCLASSIC','quantityOrdered','quantityOrdered',10,'Quantity ordered','','',10,NULL,NULL),
 ('DAOCLASSIC','reportsTo','reportsTo',10,'Reports to','','',10,NULL,NULL),
 ('DAOCLASSIC','requiredDate','requiredDate',20,'Required date','','',12,NULL,NULL);
INSERT INTO `studio`.`dao_dct0f` VALUES  ('DAOCLASSIC','salesRepEmployeeNumber','salesRepEmployeeNumber',90,'Sales report employee number','','',10,NULL,NULL),
 ('DAOCLASSIC','shippedDate','shippedDate',20,'Shipped date','','',12,NULL,NULL),
 ('DAOCLASSIC','state','state',50,'State','','',50,NULL,NULL),
 ('DAOCLASSIC','status','status',170,'Status','','',50,NULL,NULL),
 ('DAOCLASSIC','territory','territory',180,'Territory','','',50,NULL,NULL),
 ('DAOCLASSIC','textDescription','textDescription',60,'Text description','','',5000,NULL,NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_dct0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_fil0f`
--

DROP TABLE IF EXISTS `studio`.`dao_fil0f`;
CREATE TABLE  `studio`.`dao_fil0f` (
  `AMB_CDE` char(10) NOT NULL,
  `FIL_PH` char(50) NOT NULL,
  `FIL_UPD` char(50) NOT NULL,
  `FIL_LSV` char(50) NOT NULL,
  `FIL_LSA` char(50) NOT NULL,
  `FIL_PRE` char(50) NOT NULL,
  `FIL_PKG` char(80) default NULL,
  `FIL_TPL` char(10) default NULL,
  `FIL_STM` char(80) default NULL,
  `FIL_DSC` char(80) default NULL,
  `FIL_CRU` char(80) default NULL,
  `FIL_XML` char(250) default NULL,
  PRIMARY KEY  (`AMB_CDE`,`FIL_PH`),
  CONSTRAINT `FK_dao_fil0f_amb` FOREIGN KEY (`AMB_CDE`) REFERENCES `dao_amb0f` (`AMB_CDE`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_fil0f`
--

/*!40000 ALTER TABLE `dao_fil0f` DISABLE KEYS */;
LOCK TABLES `dao_fil0f` WRITE;
INSERT INTO `studio`.`dao_fil0f` VALUES  ('CLASSICLOG','employees','employees','employees','employees','','it.eng.dao.classicmodels','FileDAO','StmClassic','Employees with flag','TmplCRUD',NULL),
 ('DAOCLASSIC','customers','customers','customers','customers','','it.eng.dao.classicmodels','FileDAO','StmStdNL','Customers of ClassicModel','TmplCRUD',NULL),
 ('DAOCLASSIC','offices','offices','offices','offices','','it.eng.dao.classicmodels','FileDAO','StmStdNL','Classic Models Office','TmplCRUD',NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_fil0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_fld0f`
--

DROP TABLE IF EXISTS `studio`.`dao_fld0f`;
CREATE TABLE  `studio`.`dao_fld0f` (
  `AMB_CDE` char(10) NOT NULL,
  `FIL_PH` char(50) NOT NULL,
  `FLD_PRO` int(11) NOT NULL,
  `FLD_DES` char(50) NOT NULL,
  `FLD_FLD` char(50) NOT NULL,
  `FLD_WEB` char(50) NOT NULL,
  `FLD_WIDGET` char(25) NOT NULL,
  `FLD_LENGTH` int(11) NOT NULL,
  `FLD_ILEN` int(11) NOT NULL,
  `FLD_OLEN` int(11) NOT NULL,
  `FLD_KEY` char(1) default NULL,
  `FLD_NUL` char(1) default NULL,
  `FLD_DEC` int(11) default NULL,
  `FLD_TYP` int(11) default NULL,
  `FLD_MND` char(1) default NULL,
  `FLD_INS` char(1) default NULL,
  `FLD_UPD` char(1) default NULL,
  PRIMARY KEY  (`AMB_CDE`,`FIL_PH`,`FLD_PRO`),
  CONSTRAINT `FK_dao_fld0f_fil` FOREIGN KEY (`AMB_CDE`, `FIL_PH`) REFERENCES `dao_fil0f` (`AMB_CDE`, `FIL_PH`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_fld0f`
--

/*!40000 ALTER TABLE `dao_fld0f` DISABLE KEYS */;
LOCK TABLES `dao_fld0f` WRITE;
INSERT INTO `studio`.`dao_fld0f` VALUES  ('CLASSICLOG','employees',10,'Employee number','employeeNumber','employeeNumber','Text',11,10,10,'Y','N',0,90,'Y','Y','Y'),
 ('CLASSICLOG','employees',20,'Last name','lastName','lastName','Text',50,50,50,'N','Y',0,50,'Y','Y','Y'),
 ('CLASSICLOG','employees',30,'First name','firstName','firstName','Text',50,50,50,'N','Y',0,110,'Y','Y','Y'),
 ('CLASSICLOG','employees',40,'Extension','extension','extension','Text',10,50,50,'N','Y',0,50,'N','Y','Y'),
 ('CLASSICLOG','employees',50,'E-Mail','email','email','Text',100,50,50,'N','Y',0,160,'N','Y','Y'),
 ('CLASSICLOG','employees',60,'Office code','officeCode','officeCode','Text',10,50,50,'N','Y',0,50,'Y','Y','Y'),
 ('CLASSICLOG','employees',70,'Reports to','reportsTo','reportsTo','Text',11,10,10,'N','Y',0,10,'Y','Y','Y'),
 ('CLASSICLOG','employees',80,'Job title','jobTitle','jobTitle','Text',50,50,50,'N','Y',0,50,'N','Y','Y'),
 ('DAOCLASSIC','customers',10,'Customer Number','customerNumber','customerNumber','Text',11,10,10,'Y','N',0,90,'Y','Y','Y'),
 ('DAOCLASSIC','customers',20,'Customer Name','customerName','customerName','Text',50,50,50,'N','N',0,120,'Y','Y','Y');
INSERT INTO `studio`.`dao_fld0f` VALUES  ('DAOCLASSIC','customers',30,'Contact Last Name','contactLastName','contactLastName','Text',50,50,50,'N','N',0,120,'Y','Y','Y'),
 ('DAOCLASSIC','customers',40,'Contact First Name','contactFirstName','contactFirstName','Text',50,50,50,'N','N',0,110,'Y','Y','Y'),
 ('DAOCLASSIC','customers',50,'Phone #','phone','phone','Text',50,20,20,'N','N',0,140,'Y','Y','Y'),
 ('DAOCLASSIC','customers',60,'Address line 1','addressLine1','addressLine1','Text',50,50,50,'N','N',0,130,'Y','Y','Y'),
 ('DAOCLASSIC','customers',70,'Address line 2','addressLine2','addressLine2','Text',50,50,50,'N','Y',0,130,'N','Y','Y'),
 ('DAOCLASSIC','customers',80,'City','city','city','Text',50,50,50,'N','N',0,50,'Y','Y','Y'),
 ('DAOCLASSIC','customers',90,'State','state','state','Text',50,50,50,'N','Y',0,50,'N','Y','Y'),
 ('DAOCLASSIC','customers',100,'Postal code','postalCode','postalCode','Text',15,50,50,'N','Y',0,50,'N','Y','Y'),
 ('DAOCLASSIC','customers',110,'Country','country','country','Text',50,50,50,'N','N',0,50,'Y','Y','Y'),
 ('DAOCLASSIC','customers',120,'Sales report employee number','salesRepEmployeeNumber','salesRepEmployeeNumber','Text',11,10,10,'N','Y',0,90,'N','Y','Y');
INSERT INTO `studio`.`dao_fld0f` VALUES  ('DAOCLASSIC','customers',130,'Credit limit','creditLimit','creditLimit','Text',22,12,12,'N','Y',31,40,'N','Y','Y'),
 ('DAOCLASSIC','offices',10,'Office code','officeCode','officeCode','Text',10,50,50,'Y','N',0,50,'Y','Y','Y'),
 ('DAOCLASSIC','offices',20,'City','city','city','Text',50,50,50,'N','Y',0,50,'N','Y','Y'),
 ('DAOCLASSIC','offices',30,'Phone #','phone','phone','Text',50,20,20,'N','Y',0,140,'N','Y','Y'),
 ('DAOCLASSIC','offices',40,'Address line 1','addressLine1','addressLine1','Text',50,50,50,'N','Y',0,130,'N','Y','Y'),
 ('DAOCLASSIC','offices',50,'Address line 2','addressLine2','addressLine2','Text',50,50,50,'N','Y',0,130,'N','Y','Y'),
 ('DAOCLASSIC','offices',60,'State','state','state','Text',50,50,50,'N','Y',0,50,'N','Y','Y'),
 ('DAOCLASSIC','offices',70,'Country','country','country','Text',50,50,50,'N','Y',0,50,'N','Y','Y'),
 ('DAOCLASSIC','offices',80,'Postal code','postalCode','postalCode','Text',15,50,50,'N','Y',0,50,'N','Y','Y'),
 ('DAOCLASSIC','offices',90,'Territory','territory','territory','CmbTerrit',10,10,10,'N','Y',0,180,'N','Y','Y');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_fld0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_lgt0f`
--

DROP TABLE IF EXISTS `studio`.`dao_lgt0f`;
CREATE TABLE  `studio`.`dao_lgt0f` (
  `LOG_CDE` int(11) NOT NULL auto_increment,
  `LOG_DES` char(50) default NULL,
  `LOG_COD` char(100) default NULL,
  `LOG_DTP` int(11) default NULL,
  PRIMARY KEY  (`LOG_CDE`),
  KEY `FK_dao_lgt0f_typ` (`LOG_DTP`),
  CONSTRAINT `FK_dao_lgt0f_typ` FOREIGN KEY (`LOG_DTP`) REFERENCES `dao_typ0f` (`TYP_COD`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=21 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_lgt0f`
--

/*!40000 ALTER TABLE `dao_lgt0f` DISABLE KEYS */;
LOCK TABLES `dao_lgt0f` WRITE;
INSERT INTO `studio`.`dao_lgt0f` VALUES  (10,'Deleted flag','getCurrentSqlDate()',20),
 (20,'User','getUserName()',50);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_lgt0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_log0f`
--

DROP TABLE IF EXISTS `studio`.`dao_log0f`;
CREATE TABLE  `studio`.`dao_log0f` (
  `AMB_CDE` char(10) NOT NULL,
  `LOG_PRO` int(11) NOT NULL,
  `LOG_DES` char(50) NOT NULL,
  `LOG_FLG` char(1) NOT NULL,
  `LOG_TIP` int(11) NOT NULL,
  `LOG_FLD` char(50) NOT NULL,
  `GRP_CDE` char(10) default NULL,
  PRIMARY KEY  (`AMB_CDE`,`LOG_PRO`),
  KEY `FK_dao_log0f_lgt` (`LOG_TIP`),
  CONSTRAINT `FK_dao_log0f_amb` FOREIGN KEY (`AMB_CDE`) REFERENCES `dao_amb0f` (`AMB_CDE`) ON DELETE CASCADE,
  CONSTRAINT `FK_dao_log0f_lgt` FOREIGN KEY (`LOG_TIP`) REFERENCES `dao_lgt0f` (`LOG_CDE`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_log0f`
--

/*!40000 ALTER TABLE `dao_log0f` DISABLE KEYS */;
LOCK TABLES `dao_log0f` WRITE;
INSERT INTO `studio`.`dao_log0f` VALUES  ('CLASSICLOG',1,'Logical Delete Flag','D',10,'discharge','DAO'),
 ('CLASSICLOG',2,'Audit user field','',20,'lastUser','DAO'),
 ('CLASSICLOG',10,'Discharge Flag','D',10,'discharge',NULL),
 ('CLASSICLOG',20,'Last User','',20,'lastUser',NULL);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_log0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_pcml`
--

DROP TABLE IF EXISTS `studio`.`dao_pcml`;
CREATE TABLE  `studio`.`dao_pcml` (
  `AMB_CDE` varchar(10) NOT NULL,
  `GRP_CDE` varchar(10) NOT NULL,
  `PCM_CDE` varchar(10) NOT NULL,
  `PCM_DES` varchar(50) default NULL,
  `PCM_PKG` varchar(50) default NULL,
  `PCM_CLS` varchar(50) default NULL,
  `PCM_FIL` varchar(100) default NULL,
  `PCM_TYP` char(1) default NULL,
  PRIMARY KEY  (`AMB_CDE`,`GRP_CDE`,`PCM_CDE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_pcml`
--

/*!40000 ALTER TABLE `dao_pcml` DISABLE KEYS */;
LOCK TABLES `dao_pcml` WRITE;
INSERT INTO `studio`.`dao_pcml` VALUES  ('PCML','TEST','TESTFILE','Test File',NULL,NULL,'D:\\IBM\\ws-toolkit\\SistemaContabileWeb\\WebContent\\WEB-INF\\pcml\\SOA_STPLS.pcml','S');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_pcml` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_pcmlfl`
--

DROP TABLE IF EXISTS `studio`.`dao_pcmlfl`;
CREATE TABLE  `studio`.`dao_pcmlfl` (
  `AMB_CDE` varchar(10) NOT NULL,
  `GRP_CDE` varchar(10) NOT NULL,
  `PCM_CDE` varchar(10) NOT NULL,
  `FLD_PRO` int(11) NOT NULL,
  `FLD_USG` varchar(1) default NULL,
  `FLD_DES` varchar(50) default NULL,
  `FLD_FLD` varchar(50) default NULL,
  `FLD_WEB` varchar(50) default NULL,
  `FLD_WIDGET` varchar(25) default NULL,
  `FLD_LENGTH` int(11) default NULL,
  `FLD_ILEN` int(11) default NULL,
  `FLD_OLEN` int(11) default NULL,
  `FLD_KEY` char(1) default NULL,
  `FLD_DEC` int(11) default NULL,
  `FLD_TYP` int(11) default NULL,
  `FLD_MND` char(1) default NULL,
  `FLD_INS` char(1) default NULL,
  `FLD_UPD` char(1) default NULL,
  PRIMARY KEY  (`AMB_CDE`,`GRP_CDE`,`PCM_CDE`,`FLD_PRO`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_pcmlfl`
--

/*!40000 ALTER TABLE `dao_pcmlfl` DISABLE KEYS */;
LOCK TABLES `dao_pcmlfl` WRITE;
INSERT INTO `studio`.`dao_pcmlfl` VALUES  ('PCML','TEST','TESTFILE',10,'E','filter_ROW','filter_ROW','filter_ROW','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',20,'E','filter_SEL','filter_SEL','filter_SEL','Text',1,1,1,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',30,'E','filter_DTAINI','filter_DTAINI','filter_DTAINI','Text',8,8,8,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',40,'E','filter_ORAINI','filter_ORAINI','filter_ORAINI','Text',6,6,6,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',50,'E','filter_USR','filter_USR','filter_USR','Text',10,10,10,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',60,'E','filter_FON','filter_FON','filter_FON','Text',2,2,2,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',70,'E','filter_DTOPE','filter_DTOPE','filter_DTOPE','Text',8,8,8,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',80,'E','filter_JOB','filter_JOB','filter_JOB','Text',10,10,10,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',90,'E','filter_USRDAT','filter_USRDAT','filter_USRDAT','Text',10,10,10,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',100,'E','filter_PRTDES','filter_PRTDES','filter_PRTDES','Text',50,50,50,'N',0,0,'N','Y','Y');
INSERT INTO `studio`.`dao_pcmlfl` VALUES  ('PCML','TEST','TESTFILE',110,'E','filter_PRTPAGES','filter_PRTPAGES','filter_PRTPAGES','Text',9,9,9,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',120,'E','select_PRTACTION','select_PRTACTION','select_PRTACTION','Text',30,30,30,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',130,'E','select_ROW','select_ROW','select_ROW','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',140,'E','select_SEL','select_SEL','select_SEL','Text',1,1,1,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',150,'E','select_DTAINI','select_DTAINI','select_DTAINI','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',160,'E','select_ORAINI','select_ORAINI','select_ORAINI','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',170,'E','select_USR','select_USR','select_USR','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',180,'E','select_FON','select_FON','select_FON','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',190,'E','select_DTOPE','select_DTOPE','select_DTOPE','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',200,'E','select_JOB','select_JOB','select_JOB','Text',5,5,5,'N',0,0,'N','Y','Y');
INSERT INTO `studio`.`dao_pcmlfl` VALUES  ('PCML','TEST','TESTFILE',210,'E','select_USRDAT','select_USRDAT','select_USRDAT','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',220,'E','select_PRTDES','select_PRTDES','select_PRTDES','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',230,'E','select_PRTPAGES','select_PRTPAGES','select_PRTPAGES','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',240,'E','select_PRTACTION','select_PRTACTION','select_PRTACTION','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',250,'E','USER','USER','USER','Text',25,25,25,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',260,'E','MAXLINE','MAXLINE','MAXLINE','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',270,'E','DATETIME','DATETIME','DATETIME','Text',14,14,14,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',280,'E','AMBIENTE','AMBIENTE','AMBIENTE','Text',2,2,2,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',290,'E','NUMSELROW','NUMSELROW','NUMSELROW','Text',5,5,5,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',300,'E','FSNDISPLAY','FSNDISPLAY','FSNDISPLAY','Text',1,1,1,'N',0,0,'N','Y','Y');
INSERT INTO `studio`.`dao_pcmlfl` VALUES  ('PCML','TEST','TESTFILE',310,'E','TRANSID','TRANSID','TRANSID','Text',41,41,41,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',320,'I','REQUEST','REQUEST','REQUEST','Text',10,10,10,'N',0,0,'N','Y','Y'),
 ('PCML','TEST','TESTFILE',330,'I','SELECTEDROWS','SELECTEDROWS','SELECTEDROWS','Text',256,256,256,'N',0,0,'N','Y','Y');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_pcmlfl` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_pcmlgr`
--

DROP TABLE IF EXISTS `studio`.`dao_pcmlgr`;
CREATE TABLE  `studio`.`dao_pcmlgr` (
  `AMB_CDE` varchar(10) NOT NULL,
  `GRP_CDE` varchar(10) NOT NULL,
  `GRP_DES` varchar(50) default NULL,
  `GRP_PKG` varchar(50) default NULL,
  `GRP_CLS` varchar(50) default NULL,
  PRIMARY KEY  (`AMB_CDE`,`GRP_CDE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_pcmlgr`
--

/*!40000 ALTER TABLE `dao_pcmlgr` DISABLE KEYS */;
LOCK TABLES `dao_pcmlgr` WRITE;
INSERT INTO `studio`.`dao_pcmlgr` VALUES  ('PCML','TEST','TEST GROUP','it.eng.spago.pcml','pcmltest');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_pcmlgr` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_red0f`
--

DROP TABLE IF EXISTS `studio`.`dao_red0f`;
CREATE TABLE  `studio`.`dao_red0f` (
  `AMB_CDE` char(10) NOT NULL,
  `FIL_PH` char(50) NOT NULL,
  `REL_NAM` char(50) NOT NULL,
  `FLD_PRO` int(11) NOT NULL,
  `FLD_PROREL` int(11) NOT NULL,
  PRIMARY KEY  (`AMB_CDE`,`FIL_PH`,`REL_NAM`,`FLD_PRO`,`FLD_PROREL`),
  CONSTRAINT `FK_dao_red0f_rel` FOREIGN KEY (`AMB_CDE`, `FIL_PH`, `REL_NAM`) REFERENCES `dao_rel0f` (`AMB_CDE`, `FIL_PH`, `REL_NAM`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_red0f`
--

/*!40000 ALTER TABLE `dao_red0f` DISABLE KEYS */;
LOCK TABLES `dao_red0f` WRITE;
INSERT INTO `studio`.`dao_red0f` VALUES  ('CLASSICLOG','employees','TRelChief',70,10),
 ('DAOCLASSIC','customers','emp',120,10);
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_red0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_rel0f`
--

DROP TABLE IF EXISTS `studio`.`dao_rel0f`;
CREATE TABLE  `studio`.`dao_rel0f` (
  `AMB_CDE` char(10) NOT NULL,
  `FIL_PH` char(50) NOT NULL,
  `REL_NAM` char(50) NOT NULL,
  `AMB_CDEREL` char(10) NOT NULL,
  `FIL_PHREL` char(50) NOT NULL,
  `REL_TYP` int(11) default NULL,
  `SUBREL` char(1) default NULL,
  PRIMARY KEY  (`AMB_CDE`,`FIL_PH`,`REL_NAM`),
  KEY `FK_dao_rel0f_detail` (`AMB_CDEREL`,`FIL_PHREL`),
  CONSTRAINT `FK_dao_rel0f_detail` FOREIGN KEY (`AMB_CDEREL`, `FIL_PHREL`) REFERENCES `dao_fil0f` (`AMB_CDE`, `FIL_PH`) ON DELETE CASCADE,
  CONSTRAINT `FK_dao_rel0f_master` FOREIGN KEY (`AMB_CDE`, `FIL_PH`) REFERENCES `dao_fil0f` (`AMB_CDE`, `FIL_PH`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_rel0f`
--

/*!40000 ALTER TABLE `dao_rel0f` DISABLE KEYS */;
LOCK TABLES `dao_rel0f` WRITE;
INSERT INTO `studio`.`dao_rel0f` VALUES  ('CLASSICLOG','employees','TRelChief','CLASSICLOG','employees',1,'N'),
 ('DAOCLASSIC','customers','emp','CLASSICLOG','employees',0,'N');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_rel0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_rfd0f`
--

DROP TABLE IF EXISTS `studio`.`dao_rfd0f`;
CREATE TABLE  `studio`.`dao_rfd0f` (
  `AMB_CDE` char(10) NOT NULL,
  `FIL_PH` char(50) NOT NULL,
  `REL_NAM` char(50) NOT NULL,
  `FLD_PRO` int(11) NOT NULL,
  `FLD_USE` char(1) NOT NULL,
  PRIMARY KEY  (`AMB_CDE`,`FIL_PH`,`REL_NAM`,`FLD_PRO`),
  CONSTRAINT `FK_dao_rfd0f_rel` FOREIGN KEY (`AMB_CDE`, `FIL_PH`, `REL_NAM`) REFERENCES `dao_rel0f` (`AMB_CDE`, `FIL_PH`, `REL_NAM`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_rfd0f`
--

/*!40000 ALTER TABLE `dao_rfd0f` DISABLE KEYS */;
LOCK TABLES `dao_rfd0f` WRITE;
INSERT INTO `studio`.`dao_rfd0f` VALUES  ('CLASSICLOG','employees','TRelChief',20,'E'),
 ('CLASSICLOG','employees','TRelChief',30,'E');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_rfd0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_tpg0f`
--

DROP TABLE IF EXISTS `studio`.`dao_tpg0f`;
CREATE TABLE  `studio`.`dao_tpg0f` (
  `TPL_GRU` varchar(10) NOT NULL,
  `TPL_DEG` varchar(50) NOT NULL,
  PRIMARY KEY  (`TPL_GRU`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_tpg0f`
--

/*!40000 ALTER TABLE `dao_tpg0f` DISABLE KEYS */;
LOCK TABLES `dao_tpg0f` WRITE;
INSERT INTO `studio`.`dao_tpg0f` VALUES  ('Auditing','Auditing last update\'s User'),
 ('Default','Defaul without any modification'),
 ('DeleteSoft','Logical Delete by disattivation Flag'),
 ('DetailMod','Detail Module Group'),
 ('ListMod','LIst Module Group'),
 ('SearchMod','Search - Find Module Group');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_tpg0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_tpl0f`
--

DROP TABLE IF EXISTS `studio`.`dao_tpl0f`;
CREATE TABLE  `studio`.`dao_tpl0f` (
  `TPL_CDE` varchar(10) NOT NULL,
  `TPL_DES` varchar(50) NOT NULL,
  `TPL_REF` varchar(80) NOT NULL,
  `TPL_TPY` varchar(10) default NULL,
  `TPL_GRP` varchar(10) default NULL,
  PRIMARY KEY  (`TPL_CDE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_tpl0f`
--

/*!40000 ALTER TABLE `dao_tpl0f` DISABLE KEYS */;
LOCK TABLES `dao_tpl0f` WRITE;
INSERT INTO `studio`.`dao_tpl0f` VALUES  ('AmbCanc   ','Deleted Flag Environment','jEnviron/DeletedFlagEnvironmentDAO','JENVIRON','DeleteSoft'),
 ('AmbDAO    ','Basic Environment','jEnviron/BasicEnvironmentDAO','JENVIRON','Default'),
 ('CmbTerrit','Static Combo x Territory','customFld/TemplateComboTerritoryField','XMLFLDWDG',''),
 ('Column    ','Column Template','xmlColumn/ColumnTemplate','XMLCOLUMN',''),
 ('ComboModul','Combo Dao Template','xmlFldWdg/TemplateComboModuleField','XMLFLDWDG',''),
 ('DateField ','Date Field Widget','xmlFldWdg/TemplateDateField','XMLFLDWDG',''),
 ('DettStd   ','Standard Detail Module','xmlModule/TemplateDetailModule','XMLMODULE','DetailMod'),
 ('Fieldset  ','Template Fieldset','xmlFldSet/TemplateFieldset','XMLFLDSET',''),
 ('FileDAO   ','Java Files Template','jFileDao/FileDao','JFILEDAO',''),
 ('FileField ','Field File Template','xmlFldWdg/TemplateFileField','XMLFLDWDG',''),
 ('FldValidat','XML Field Validator','xmlFldVal/TemplateFieldValidator','XMLFLDVAL',''),
 ('ListaSmart','Smart List Module','xmlModule/TemplateListModule','XMLMODULE','ListMod');
INSERT INTO `studio`.`dao_tpl0f` VALUES  ('MastDett','List and Detail in the same page','xmlPage/TemplateMasterDetailPage','XMLPAGE',''),
 ('ModRicerca','Find Module','xmlModule/TemplateSearchModule','XMLMODULE','SearchMod'),
 ('PagineStd ','Standard Page','xmlPage/TemplatePage','XMLPAGE',''),
 ('PAGLISTA  ','Page with only list module','xmlPage/TemplateListPage','XMLPAGE',''),
 ('PAGRICLIS ','Page with Find e List Modules','xmlPage/TemplateSearchListPage','XMLPAGE',''),
 ('PagRicList','Page with Find, List and Detail Modules','xmlPage/TemplateSearchPage','XMLPAGE',''),
 ('Publisher ','Publisher Template','xmlPublis/TemplatePublisher','XMLPUBLIS',''),
 ('Service   ','Service Template','xmlFldVal/TemplateService','XMLFLDVAL',''),
 ('ServiceAct','Template validation service action','xmlFldVal/TemplateServiceAction','XMLFLDVAL',''),
 ('STATUSFLD','Template Combo Status Field','xmlFldWdg/TemplateComboStatusField','XMLFLDWDG',''),
 ('StmClassic','Statements with deleted flag','sqlStatm/stmClassicdao','SQLSTATM','DeleteSoft'),
 ('StmStdNL  ','DAO statements without flag','sqlStatm/stmdaonl','SQLSTATM','Default');
INSERT INTO `studio`.`dao_tpl0f` VALUES  ('TabPage','List/Detail page with tabs','xmlPage/TemplateTabsPage','XMLPAGE',''),
 ('Tabulatore','XML Tab template','xmlTab/TemplateTab','XMLTAB',''),
 ('Text      ','Text Fields Template','xmlFldWdg/TemplateTextField','XMLFLDWDG',''),
 ('TextArea  ','Text Area Fields Template','xmlFldWdg/TemplateTextAreaField','XMLFLDWDG',''),
 ('TmplCRUD  ','Template CRUD standard','xmlCrud/TemplateAlberoGenerazione.xml','XMLCRUD',''),
 ('TPLOOKUP  ','Lookup template','lookup/TemplateLookup','XMLLOOKUP',''),
 ('TPLOOKUPF ','Lookup Fields Template','lookup/TemplateLookupFields','XMLLOOKFI',''),
 ('TPPAGDOP','Double Page Template','xmlPage/TemplateDoublePage','XMLPAGE',''),
 ('Validation','Detail Validation Template','xmlFldVal/TemplateDetailValidation','XMLFLDVAL','DetailMod'),
 ('ValidLista','List Validation Template','xmlFldVal/TemplateListValidation','XMLFLDVAL','ListMod'),
 ('ValidRicer','Find Validation Template','xmlFldVal/TemplateSearchValidation','XMLFLDVAL','SearchMod');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_tpl0f` ENABLE KEYS */;


--
-- Definition of table `studio`.`dao_typ0f`
--

DROP TABLE IF EXISTS `studio`.`dao_typ0f`;
CREATE TABLE  `studio`.`dao_typ0f` (
  `TYP_COD` int(11) NOT NULL,
  `TYP_DES` char(50) default NULL,
  `TYP_CLA` char(80) default NULL,
  `TYP_VLD` char(80) default NULL,
  `TYP_WDG` char(80) default NULL,
  `TYP_SQL` int(11) default NULL,
  `TYP_INL` int(11) default NULL,
  `TYP_OUL` int(11) default NULL,
  `TYP_VIN` char(80) default NULL,
  `TYP_VUP` char(80) default NULL,
  `FLD_VIS` char(1) default NULL,
  `TYP_INS` char(1) default NULL,
  `TYP_UPD` char(1) default NULL,
  `TYP_DEF` char(1) default NULL,
  PRIMARY KEY  (`TYP_COD`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

--
-- Dumping data for table `studio`.`dao_typ0f`
--

/*!40000 ALTER TABLE `dao_typ0f` DISABLE KEYS */;
LOCK TABLES `dao_typ0f` WRITE;
INSERT INTO `studio`.`dao_typ0f` VALUES  (0,'Unassigned Type','','','Text',0,0,0,'','','Y','Y','Y',NULL),
 (10,'INTEGER','','','Text',-5,10,10,'','','Y','Y','Y',NULL),
 (20,'DATE','DATE','DATE','DateField',91,8,12,'DEFAULT_ZERO_DATE','DEFAULT_ZERO_DATE','Y','Y','Y',NULL),
 (30,'DOUBLE','NUMBER_23_3','DECIMAL','Text',8,10,10,'DEFAULT_ZERO','DEFAULT_ZERO','Y','Y','Y',NULL),
 (40,'CURRENCY','NUMBER_23_3','IMPORTO','Text',8,12,12,'DEFAULT_ZERO','DEFAULT_ZERO','Y','Y','Y',NULL),
 (50,'TEXT','','','Text',12,50,50,'','','Y','Y','Y',NULL),
 (60,'TEXTBLOB','','','TextArea',2004,5000,5000,'','','Y','Y','Y',NULL),
 (70,'IMAGEBLOB','','','FileField',2004,5000,5000,'','','Y','Y','Y',NULL),
 (80,'TIME','TIME','TIME','DateField',92,10,10,'','','Y','Y','Y',NULL),
 (90,'ID','','NUMERIC','Text',4,10,10,'','','Y','Y','Y',NULL),
 (100,'Fiscal Code','','FISCALCODE','Text',12,16,16,'','','Y','Y','Y',NULL),
 (110,'First Name','','','Text',12,50,50,'EMAIL','NUMERIC','Y','Y','Y',''),
 (120,'Last Name','','','Text',12,50,50,'','','Y','Y','Y',NULL),
 (130,'Address','','','Text',12,50,50,'','','Y','Y','Y',NULL);
INSERT INTO `studio`.`dao_typ0f` VALUES  (140,'Phone Number','','','Text',12,20,20,'','','Y','Y','Y',NULL),
 (150,'HTML Text','','','TextArea',-1,65535,65535,'','','Y','Y','Y',NULL),
 (160,'E-MAIL','','','Text',12,50,50,'','','Y','Y','Y',NULL),
 (170,'Order Status','STATUS','','STATUSFLD',12,50,50,'','','Y','Y','Y',NULL),
 (180,'Territory for ClassicModels','DEFAULT','GENERIC','CmbTerrit',12,10,10,'','','Y','Y','Y','N');
UNLOCK TABLES;
/*!40000 ALTER TABLE `dao_typ0f` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
